
object DensityTest extends App {
  val g = GraphGenerator.generateRandomConnectedGraph(1000000, 100, 50)
  for (i <- 0 until 10) {
    val q = GraphGenerator.generateBFSQuery(6, 2, g)
    Utils.dualExp(g, q, "dens")
    Utils.saltzExp(g, q, "dens")
  }
}

//CAN'T RECOMPILE C CODE WHILE OTHER STUFF IS RUNNING
object CompareExactOutputs extends App {
  val g = GraphGenerator.generateRandomConnectedGraph(100000, 100, 10)
  val gFile = "comptestg"
  val qFile = "comptestq"
  g.writeToFile(gFile)
  for (i <- 0 until 1) {
    val q = GraphGenerator.generateBFSQuery(10, 2, g)
    q.writeToFile(qFile)
    PatternMatcher.writeMatchesToFile(PatternMatcher.saltzIso3(g, q), "comptestsaltz" + i)
    val vf2Output = Utils.vf2ExpVerbose(gFile, qFile) 
    vf2Output.split("Size").foreach(println(_))
  }
}
